local min,max in math

function ShipProperty.shield_regen_rate(ship)
  local adjusted_max_shields in ship

  local base_regen = adjusted_max_shields^0.625 --1.6*sqrt(adjusted_max_shields)

  local regenerators=0
  for s in systems(ship)
    if (s.type == 'shield_regenerator') and (s.damage < .5*s.health)
      regenerators++
    end
  end

  return min(base_regen * (regenerators+1), adjusted_max_shields*0.6)/adjusted_max_shields
end
